Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.jcr.xdb
Class XDBRepositoryConfigurationFactory

`java.lang.Object
oracle.jcr.xdb.XDBRepositoryConfigurationFactory`

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

      public class XDBRepositoryConfigurationFactory

extends java.lang.Object
implements javax.naming.spi.ObjectFactory

XDBRepositoryConfigurationFactory is a JNDI ObjectFactory for XDBRepositoryConfiguration objects.

Constructor Summary
`XDBRepositoryConfigurationFactory()` Constructor.

Method Summary
`java.lang.Object` `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)` JNDI factory method to create an object using the location or reference information specified.
`static java.lang.Object` `getXDBRepositoryConfigurationState(XDBRepositoryConfiguration repositoryConfiguration)` Gets the internal state of the specified XDBRepositoryConfiguration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XDBRepositoryConfigurationFactory

    public XDBRepositoryConfigurationFactory()

  Constructor.

Method Detail

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

  JNDI factory method to create an object using the location or reference information specified.
  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
  Parameters:
    `obj` - an object containing location or reference information that can be used in creating the object
    `name` - the name of the object relative to `nameCtx`, or null if no name is specified
    `nameCtx` - the context relative to which `name` is specified, or null if `name` is relative to the default initial context
    `environment` - the environment used in creating the object, or null
  Returns:
    the created object
  Throws:
    `java.lang.Exception` - if the operation fails

### getXDBRepositoryConfigurationState

    public static java.lang.Object getXDBRepositoryConfigurationState(XDBRepositoryConfiguration repositoryConfiguration)

  Gets the internal state of the specified XDBRepositoryConfiguration.
  Parameters:
    `repositoryConfiguration` - the repository configuration
  Returns:
    the state

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.